/*
 * JSONFromXML.java
 *
 * Created on 19 June 2006, 11:25
 */

package org.netkernel.json.core.endpoint;

import org.json.JSONObject;
import org.json.XML;
import org.netkernel.layer0.meta.impl.SourcedArgumentMetaImpl;
import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.module.standard.endpoint.StandardAccessorImpl;

public class JSONFromXML extends StandardAccessorImpl
{
	public JSONFromXML()
	{	this.declareThreadSafe();
		declareArgument(new SourcedArgumentMetaImpl("operand","input XML document",null,new Class[]{String.class}));
		declareSourceRepresentation(JSONObject.class);
	}
	
	public void onSource(INKFRequestContext context) throws Exception
	{	String opd=context.source("arg:operand", String.class);
		JSONObject jo=XML.toJSONObject(opd);
		context.createResponseFrom(jo);
	}
}
