package org.netkernel.json.core.endpoint;

import org.json.JSONObject;
import org.json.XML;
import org.netkernel.layer0.meta.impl.SourcedArgumentMetaImpl;
import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.layer0.nkf.INKFResponse;
import org.netkernel.module.standard.endpoint.StandardAccessorImpl;

public class JSONToXML extends StandardAccessorImpl
{
	public JSONToXML()
	{	this.declareThreadSafe();
		declareArgument(new SourcedArgumentMetaImpl("operand","input JSON Object",null,new Class[]{JSONObject.class}));
		declareSourceRepresentation(String.class);
	}
	
	public void onSource(INKFRequestContext context) throws Exception
	{	JSONObject jo=context.source("arg:operand", JSONObject.class);
		String jx=XML.toString(jo);
		INKFResponse resp=context.createResponseFrom(jx);
		resp.setMimeType("text/xml");
	}
}
